// SampleApp_VC++_MFCView.cpp : Implementierung der Klasse CSampleApp_VC_MFCView
//

#include "stdafx.h"
#include "SampleApp_VC++_MFC.h"

#include "SampleApp_VC++_MFCDoc.h"
#include "SampleApp_VC++_MFCView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CSampleApp_VC_MFCView

IMPLEMENT_DYNCREATE(CSampleApp_VC_MFCView, CView)

BEGIN_MESSAGE_MAP(CSampleApp_VC_MFCView, CView)
	// Standarddruckbefehle
	ON_COMMAND(ID_FILE_PRINT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_DIRECT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_PREVIEW, CView::OnFilePrintPreview)
END_MESSAGE_MAP()

// CSampleApp_VC_MFCView Erstellung/Zerstörung

CSampleApp_VC_MFCView::CSampleApp_VC_MFCView()
{
	// TODO: Hier Code zum Erstellen einfügen

}

CSampleApp_VC_MFCView::~CSampleApp_VC_MFCView()
{
}

BOOL CSampleApp_VC_MFCView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Ändern Sie hier die Fensterklasse oder die Darstellung, indem Sie
	//  CREATESTRUCT cs modifizieren.

	return CView::PreCreateWindow(cs);
}

// CSampleApp_VC_MFCView-Zeichnung

void CSampleApp_VC_MFCView::OnDraw(CDC* /*pDC*/)
{
	CSampleApp_VC_MFCDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);
	if (!pDoc)
		return;

	// TODO: Code zum Zeichnen der systemeigenen Daten hinzufügen
}


// CSampleApp_VC_MFCView drucken

BOOL CSampleApp_VC_MFCView::OnPreparePrinting(CPrintInfo* pInfo)
{
	// Standardvorbereitung
	return DoPreparePrinting(pInfo);
}

void CSampleApp_VC_MFCView::OnBeginPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: Zusätzliche Initialisierung vor dem Drucken hier einfügen
}

void CSampleApp_VC_MFCView::OnEndPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: Bereinigung nach dem Drucken einfügen
}


// CSampleApp_VC_MFCView Diagnose

#ifdef _DEBUG
void CSampleApp_VC_MFCView::AssertValid() const
{
	CView::AssertValid();
}

void CSampleApp_VC_MFCView::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}

CSampleApp_VC_MFCDoc* CSampleApp_VC_MFCView::GetDocument() const // Nicht-Debugversion ist inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CSampleApp_VC_MFCDoc)));
	return (CSampleApp_VC_MFCDoc*)m_pDocument;
}
#endif //_DEBUG


// CSampleApp_VC_MFCView Meldungshandler
